summaryrefslogtreecommitdiffstats
path: root/scripts/poky-autobuild
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2006-11-23 12:15:17 +0000
committerRichard Purdie <richard@openedhand.com>2006-11-23 12:15:17 +0000
commit14d1d6d8796eb3c5bf6df2b444ad8a4555a2e1ed (patch)
tree5fd0e58205f5fcdd7ee64b5dd77614682c67b830 /scripts/poky-autobuild
parent5285430f170a6ac9304a842eaa0d2705d5e711ef (diff)
downloadopenembedded-core-contrib-14d1d6d8796eb3c5bf6df2b444ad8a4555a2e1ed.tar.gz
scripts: Move main contents of poky-init-build-env to scripts/poky-env-internal. Add poky-autobuild script for autobuilder use.
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@948 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'scripts/poky-autobuild')
-rwxr-xr-xscripts/poky-autobuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/scripts/poky-autobuild b/scripts/poky-autobuild
new file mode 100755
index 0000000000..a8f9decc27
--- /dev/null
+++ b/scripts/poky-autobuild
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Poky Build Enviroment Setup Script
+#
+# Copyright (C) 2006 OpenedHand LTD
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+#if test x"$0" = x"./poky-init-build-env"; then
+# echo "Error: Run via '. ./poky-init-build-env'"
+# exit 1
+#fi
+
+. ./scripts/poky-env-internal
+
+bitbake $1